:root {
  --text: #fcfaf7;

  --background: #1e1710;

  --primary: #cc9b6d;

  --primary-hover: #b07d4e;

  --secondary: #f1ca89;

  --secondary-hover: #e0b86d;

  --accent: #f2dac3;

  --shadow: 0 4px 32px 0 rgba(83, 105, 203, 0.16);

  --radius: 14px;

  --gap: 8px;
}

* {
  margin: 0;

  padding: 0;

  box-sizing: border-box;
}
h1 {
  font-size: x-large;
  font-family: "Courier New", Courier, monospace;
  font-weight: 900;
}

body {
  min-height: 100vh;

  display: flex;

  justify-content: center;

  align-items: center;

  font-family: "Courier New", Courier, monospace;

  color: var(--text);
}

.container {
  width: 320px;

  display: flex;

  flex-wrap: wrap;

  gap: var(--gap);

  padding: 24px 20px 20px 20px;

  background: var(--background);

  box-shadow: var(--shadow);

  border-radius: var(--radius);

  justify-content: center;

  font-weight: 900;
}

.spanned {
  width: calc(50% - var(--gap));
}

button {
  width: calc(25% - var(--gap));

  height: 48px;

  background: var(--primary);

  color: var(--text);

  border-radius: var(--radius);

  border: none;

  font-size: 1.15rem;

  cursor: pointer;

  font-weight: 900;

  margin-bottom: var(--gap);
}

operator {
  background: var(--secondary);

  color: #1e1710;

  font-weight: 600;
}

button:active {
  border: 2px solid var(--accent);
  opacity: 82%;
}

.output {
  width: 100%;
  min-height: 48px;
  border: 2px solid var(--secondary);
  border-radius: var(--radius);
  font-size: 1.6em;
  color: var(--text);
  padding: 0 12px;
  display: flex;
  align-items: center;
  justify-content: right;
  margin-bottom: var(--gap);
  word-break: break-all;
}
